# QPictureIO Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QPictureIO()
- void QPictureIO(QIODevice ioDevice, char format)
- void QPictureIO(String fileName, char format)

### Constructor Properties

- prototype: The QPictureIO prototype object
- List inputFormats()
- List outputFormats()
- QByteArray pictureFormat(QIODevice arg__1)

### Prototype Object Properties

- String description()
- String fileName()
- char format_private()
- float gamma()
- QIODevice ioDevice()
- char parameters_private()
- QPicture picture()
- int quality()
- bool read()
- void setDescription(String arg__1)
- void setFileName(String arg__1)
- void setFormat(char arg__1)
- void setGamma(float arg__1)
- void setIODevice(QIODevice arg__1)
- void setParameters(char arg__1)
- void setPicture(QPicture arg__1)
- void setQuality(int arg__1)
- void setStatus(int arg__1)
- int status()
- bool write()

### Instance Properties

QPictureIO objects have no special properties beyond those inherited from the QPictureIO prototype object.